NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.AngularDimBuilder Class Reference

Represents a NXOpen.Features.AngularDim builder More...

Inheritance diagram for NXOpen.Features.AngularDimBuilder:
NXOpen.Features.DimensionBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool GetIsComplementAngle (NXOpen.Point3d dimensionLocation)
 Returns the flag indicating if angle is complement More...
 
unsafe void SetInterpartSourceEdge (NXOpen.Edge interpartSourceEdge)
 Sets the interpart source edge More...
 
- Public Member Functions inherited from NXOpen.Features.DimensionBuilder
unsafe NXOpen.Annotations.Dimension GetDimension ()
 The drafting dimension which is used as UI tool for dimension display. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AlternativeAngle [get, set]
 Returns or sets the alternative angle toggle allows you to compute angle that is 360 degree subtracts current angle More...
 
unsafe bool ComplementAngleFlag [get, set]
 Returns or sets the complement angle flag More...
 
unsafe NXOpen.SelectNXObject MeasurementObject [get]
 Returns the measurement object is for the move object More...
 
unsafe NXOpen.SelectNXObject OriginObject [get]
 Returns the origin object is for the fixed object More...
 
- Properties inherited from NXOpen.Features.DimensionBuilder
unsafe
NXOpen.Annotations.OriginBuilder 
DimensionLocation [get]
 Returns the dimension location/placement controlled by the annotation origin block More...
 
unsafe
NXOpen.GeometricUtilities.FaceChangeOverflowBehavior 
FaceChangeOverflowBehavior [get]
 Returns the face change overflow behavior. More...
 
unsafe
NXOpen.Features.FaceRecognitionBuilder 
FacesToMove [get]
 Returns the faces being moved as part of the Linear Dimension command More...
 
unsafe
NXOpen.GeometricUtilities.SaveConstraintsBuilder 
SaveConstraints [get]
 Returns the SaveConstraints builder which is used by ADM Dimension Features. More...
 
unsafe NXOpen.Expression Value [get]
 Returns the value of the dimension More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.AngularDim builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateAngularDimensionBuilder

Created in NX6.0.0

Member Function Documentation

unsafe bool NXOpen.Features.AngularDimBuilder.GetIsComplementAngle ( NXOpen.Point3d  dimensionLocation)
inline

Returns the flag indicating if angle is complement

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
dimensionLocationIndicates dimension origin cursor location
Returns
the flag for complement angle
unsafe void NXOpen.Features.AngularDimBuilder.SetInterpartSourceEdge ( NXOpen.Edge  interpartSourceEdge)
inline

Sets the interpart source edge

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
interpartSourceEdgeedge

Property Documentation

unsafe bool NXOpen.Features.AngularDimBuilder.AlternativeAngle
getset

Returns or sets the alternative angle toggle allows you to compute angle that is 360 degree subtracts current angle

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AngularDimBuilder.ComplementAngleFlag
getset

Returns or sets the complement angle flag

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectNXObject NXOpen.Features.AngularDimBuilder.MeasurementObject
get

Returns the measurement object is for the move object

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.AngularDimBuilder.OriginObject
get

Returns the origin object is for the fixed object

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.